www.cendio.com
Bug 3721 - rendering errors with twm
: rendering errors with twm
Status: CLOSED FIXED
: ThinLinc
VNC
: pre-1.0
: PC All
: P2 Normal
: 4.0.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2011-01-17 14:38 by
Modified: 2012-11-28 12:16 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2011-01-17 14:38:37
There is some bug in the VNC hooks that misses the borders on windows when
using twm. This is the reason that Adam started hooking pixmaps as that somehow
fixed it (he didn't do any thorough analysis).

The borders are rendered properly, it's just that the VNC change tracker
doesn't notice them so they are not properly sent to the viewer.
------- Comment #1 From cendio 2012-07-17 16:24:27 -------
It's been discussed upstream, and we seem to be close to a fix. Upstream
discussion:

http://www.mail-archive.com/tigervnc-devel@lists.sourceforge.net/msg02355.html
------- Comment #2 From cendio 2012-07-19 10:46:58 -------
Fixed in r25514.
------- Comment #3 From cendio 2012-10-18 12:46:31 -------
No problems found with twm on SLED11.